package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）枚举类
*
* @author zxfei
*/
public enum MaterialSourceEnum {
    无("无", "无"),
    申请人自备("申请人自备", "申请人自备"),
    政府部门核发("政府部门核发", "政府部门核发"),
    其他("其他", "其他");
    private String value;
    private String desc;

    MaterialSourceEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MaterialSourceEnum getByValue(String value) {
        for (MaterialSourceEnum materialSourceEnum : MaterialSourceEnum.values()) {
            if (materialSourceEnum.getValue() == value) {
                return materialSourceEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MaterialSourceEnum item : MaterialSourceEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}